define([
    'jquery'
], function ($) {
    'use strict';

    // be === Behavioral Events
    const cookie_preffix = 'be_';
    const expire_time = 60; // minutes

    return function (options, element) {
        $(element).click(function (event) {
            let cookieName = cookie_preffix + options['name'];
            let date = new Date();

            date.setTime(date.getTime() + (expire_time * 60 * 1000));
            $.cookie(cookieName, options["eventCat"], { expires: date });
        });
    };
});
